Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.plugin
Class ContrastEnhancer

    java.lang.Object
      ij.plugin.ContrastEnhancer

All Implemented Interfaces:
  Measurements, PlugIn

public class ContrastEnhancer
extends java.lang.Object
implements PlugIn, Measurements

Implements ImageJ's Process/Enhance Contrast command.

Field Summary

Fields inherited from interface ij.measure.Measurements
`AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, PERIMETER, RECT, SKEWNESS, SLICE, STD_DEV`

Constructor Summary
`ContrastEnhancer()`

Method Summary
`void` | `equalize(ImagePlus imp)`
`void` | `equalize(ImageProcessor ip)` Changes the tone curves of images.
`void` | `run(java.lang.String arg)` This method is called when the plugin is loaded.
`void` | `stretchHistogram(ImagePlus imp, double saturated)`
`void` | `stretchHistogram(ImageProcessor ip, double saturated)`
`void` | `stretchHistogram(ImageProcessor ip, double saturated, ImageStatistics stats)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContrastEnhancer

    public ContrastEnhancer()

Method Detail

### run

    public void run(java.lang.String arg)

  Description copied from interface: `PlugIn`
  This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

  Specified by:
    `run` in interface `PlugIn`

### stretchHistogram

    public void stretchHistogram(ImagePlus imp,
                                 double saturated)

### stretchHistogram

    public void stretchHistogram(ImageProcessor ip,
                                 double saturated)

### stretchHistogram

    public void stretchHistogram(ImageProcessor ip,
                                 double saturated,
                                 ImageStatistics stats)

### equalize

    public void equalize(ImagePlus imp)

### equalize

    public void equalize(ImageProcessor ip)

  Changes the tone curves of images. It should bring up the detail in the flat regions of your image. Histogram Equalization can enhance meaningless detail and hide important but small high-contrast features. This method uses a similar algorithm, but uses the square root of the histogram values, so its effects are less extreme. Hold the alt key down to use the standard histogram equalization algorithm. This code was contributed by Richard Kirk (rak@cre.canon.co.uk).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD